# Updates a task list template.

PUT https://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasklisttemplates/{taskListTemplateId}

Updates a task list template.

<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>

## Request example

```sh
curl -X PUT --globoff 'https://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasklisttemplates/{taskListTemplateId}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "name": "Product and Marketing To-Dos",
  "isHiddenForConnectUsers": true,
  "order": 1
}'
```

- path parameter `taskBundleId`: string (required). The id of the task bundle.

- path parameter `taskListTemplateId`: string (required). The task list template id.

## Request body (application/json)

- `name`: string (required)

- `isHiddenForConnectUsers`: boolean or null

- `order`: number or null

## Response 200

OK

application/json

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2021-03-22T15:00:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2021-03-22T16:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Product and Marketing To-Dos",
  "order": 2,
  "plannedDuration": 1,
  "totalPlannedDuration": 1,
  "totalPlannedDurationWithHierarchy": 1,
  "isArchived": false,
  "isHiddenForConnectUsers": true
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
